Bug 538609

Summary: ESTALE with nfs4 mount from rawhide client to F12 server
Product: [Fedora] Fedora Reporter: Jason Tibbitts <tibbs>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: steved, vendor-redhat
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 1.2.1-4.fc12 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-15 20:15:21 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Jason Tibbitts 2009-11-18 17:24:04 EST
The situation:

F12 server, with kernel-2.6.31.5-122.fc12.x86_64 and nfs-utils-1.2.1-1.fc12.x86_64 (pulled from koji).

Rawhide client, running kernel-2.6.31.5-127.fc12.x86_64 (because the current rawhide kernel failed to install properly) and nfs-utils-1.2.1-3.fc13.x86_64.

The server has /export a simple subdirectorty of /, and h-tibbs as a separate filesystem mounted there:
  /dev/mapper/nas-h--tibbs
                     103212320  59867660  43304660  59% /export/h-tibbs

/etc/exports has:
  /export/h-tibbs *.math.uh.edu(rw,async)

selinux is in permissive mode; the firewall does not filter any ports from the network the client is on.

The following mount command on the client fails:
  mount -v -t nfs4 epithumia:/export/h-tibbs /mnt
  mount.nfs4: timeout set for Wed Nov 18 16:09:33 2009
  mount.nfs4: trying text-based options 'addr=129.7.128.2,clientaddr=129.7.128.122'
  mount.nfs4: mount(2): Stale NFS file handle
  mount.nfs4: trying text-based options 'addr=129.7.128.2,clientaddr=129.7.128.122'
  mount.nfs4: mount(2): Stale NFS file handle
(this repeats every couple of seconds until the mount times out)

I can provide any log that may be useful, but I'm not sure what would be useful to include.
Comment 1 Fedora Update System 2009-11-20 09:13:44 EST
nfs-utils-1.2.1-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/nfs-utils-1.2.1-2.fc12
Comment 2 Steve Dickson 2009-11-20 11:20:21 EST
The above update did fix the problem of exports on the pseudo root
not being exported, but does not fix the estale problem.. 

The export that show this problems is 

/export/fs1 *(rw)

where /export is no the root filesystem and 'fs1' is 
on another file system. ala:

/dev/mapper/VolGroup00-LogFS1 on /export/fs1 type ext3 (rw)

The client mount is:

mount -o v4 <server>:/export/fs1 /mnt 

which fails with ESTALE.
Comment 3 Fedora Update System 2009-11-24 02:54:20 EST
nfs-utils-1.2.1-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nfs-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11985
Comment 4 Jason Tibbitts 2009-11-24 10:11:35 EST
Need to make sure that bodhi doesn't auto-close this when that update goes to stable, since it doesn't fix the problem.
Comment 5 Fedora Update System 2009-12-09 23:10:11 EST
nfs-utils-1.2.1-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nfs-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11985
Comment 6 Fedora Update System 2009-12-11 13:29:45 EST
nfs-utils-1.2.1-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nfs-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11985
Comment 7 Fedora Update System 2009-12-15 20:15:16 EST
nfs-utils-1.2.1-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Michael 2009-12-30 17:20:29 EST
I am still having problems with nfs-utils-1.2.1-4.

I am currently using nfs-utils-1.2.0-18.fc12.x86_64.  However, if I upgrade to 1.2.1-4 from updates, then NFS immediately starts failing and using tcpdump I can see stale file handles.  Clients can some time mount file systems and some times can't.  

Reverting to to 1.2.0-18 clears up the issue.